> ## Documentation Index
> Fetch the complete documentation index at: https://docs.incident.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Get a list of schedule entries. The endpoint will return all entries that overlap with the given window, if one is provided.



## OpenAPI

````yaml /openapi/tags/schedule-entries-v2.json get /v2/schedule_entries
openapi: 3.0.3
info:
  description: "This is the API reference for incident.io.\n\nIt documents available API endpoints, provides examples of how to use it, and\ninstructions around things like authentication and error handling.\n\nThe API is hosted at:\n\n- https://api.incident.io/\n\nAnd you will need to create an API key via your [incident.io\ndashboard](https://app.incident.io/settings/api-keys) to make requests.\n\n# Making requests\n\nHere are the key concepts required to make requests to the incident.io API.\n\n## Authentication\n\nFor all requests made to the incident.io API, you'll need an API key.\n\nTo create an API key, head to the incident dashboard and visit [API\nkeys](https://app.incident.io/settings/api-keys). When you create the key, you'll be able to choose what actions it\ncan take for your account: choose carefully, as those roles can only be set\nwhen you first create the key. We'll only show you the token once, so make sure\nyou store it somewhere safe.\n\nAPI keys are global to your incident.io account, and can be managed by anyone\nwho has the right permissions. We display the user that created the API key,\nand the API key will remain valid if that user becomes deactivated.\n\nOnce you have the key, you should make requests to the API that set the\n`Authorization` request header using a \"Bearer\" authentication scheme:\n\n```\nAuthorization: Bearer <YOUR_API_KEY>\n```\n\n## Rate Limits\n\nThe incident.io API enforces rate limits to ensure consistent performance for all users.\n\nThe default rate limit is 1200 requests/minute per API key. This limit applies to most endpoints across the API.\n\nSome endpoints have lower rate limits, particularly those that interact with external third-party systems that impose\ntheir own limitations. These specific limits vary by endpoint, and we recommend relying on the rate-limit error\nresponses to understand usage patterns and implement appropriate retry strategies.\n\nWhen you exceed a rate limit, the API will respond with a `429 Too Many Requests` status code, along with a JSON\nresponse that includes information about the limit and when you can retry:\n\n```json\n{\n    \"type\": \"too_many_requests\",\n    \"status\": 429,\n    \"request_id\": \"b839a403-7704-41c1-bf6a-39a2d68caefa\",\n    \"rate_limit\": {\n        \"name\": \"api_key_name\",\n        \"limit\": 1200,\n        \"remaining\": 0,\n        \"retry_after\": \"Thu, 17 Apr 2025 11:17:18 UTC\"\n    },\n    \"errors\": [\n        {\n            \"code\": \"too_many_requests\",\n            \"message\": \"Too many requests hit the API too quickly. We recommend an exponential backoff of your requests.\"\n        }\n    ]\n}\n```\n\nThe response includes:\n* The name of the API key (`name`)\n* The bucket limit (`limit`)\n* The number of requests remaining (`remaining`)\n* When you can retry requests (`retry_after`)\n\n## Errors\n\nWe use standard HTTP response codes to indicate the status or failure of API\nrequests.\n\nThe API response body will be JSON, and contain more detailed information on the\nnature of the error.\n\nAn example error when a request is made without an API key:\n\n```json\n{\n  \"type\": \"authentication_error\",\n  \"status\": 401,\n  \"request_id\": \"8e3cc412-b49d-4957-9073-2c19d2c61804\",\n  \"errors\": [\n    {\n      \"code\": \"missing_authorization_material\",\n      \"message\": \"No authorization material provided in request\"\n    }\n  ]\n}\n```\n\nNote that the error:\n\n- Contains the HTTP status (`401`)\n- References the type of error (`authentication_error`)\n- Includes a `request_id` that can be provided to incident.io support to help\n\tdebug questions with your API request\n- Provides a list of individual errors, which go into detail about why the error\n\toccurred\n\nThe most common error will be a 422 Validation Error, which is returned when the\nrequest was rejected due to failing validations.\n\nThese errors look like this:\n\n```json\n{\n  \"type\": \"validation_error\",\n  \"status\": 422,\n  \"request_id\": \"631766c4-4afd-4803-997c-cd700928fa4b\",\n  \"errors\": [\n    {\n      \"code\": \"is_required\",\n      \"message\": \"A severity is required to open an incident\",\n      \"source\": {\n        \"field\": \"severity_id\"\n      }\n    }\n  ]\n}\n```\n\nThis error is caused by not providing a severity identifier, which should be at\nthe `severity_id` field of the request payload. Errors like these can be mapped to\nforms, should you be integrating with the API from a user-interface.\n\n## Compatibility\n\nWe won't make breaking changes to existing API services or endpoints, but will\nexpect integrators to upgrade themselves to the latest API endpoints within 3\nmonths of us deprecating the old service.\n\nWe will make changes that are considered backwards compatible, which include:\n\n- Adding new API endpoints and services\n- Adding new properties to responses from existing API endpoints\n- Reordering properties returned from existing API endpoints\n- Adding optional request parameters to existing API endpoints\n- Altering the format or length of IDs\n- Adding new values to enums\n\nIt is important that clients are robust to these changes, to ensure reliable\nintegrations.\n\nAs an example, if you are generating a client using an openapi-generator, ensure\nthe generated client is configured to support unknown enum values, often\nconfigured via the `enumUnknownDefaultCase` parameter.\n\nWhen breaking changes are unavoidable, we'll create a new service version on a\nseparate path, and run them in parallel.\n\nFor example:\n\n- https://api.incident.io/v1/incidents\n- https://api.incident.io/v2/incidents\n\nFor any questions, email support@incident.io.\n"
  title: incident.io
  version: 1.0.0
servers:
  - url: https://api.incident.io
security:
  - BearerAuth: []
tags:
  - description: >
      View and manage schedules.

      Manage your full schedule of on-call rotations, including the users and
      rotation configuration.
    name: Schedule Entries V2
paths:
  /v2/schedule_entries:
    get:
      tags:
        - Schedule Entries V2
      summary: List
      description: >-
        Get a list of schedule entries. The endpoint will return all entries
        that overlap with the given window, if one is provided.
      operationId: Schedules V2_ListScheduleEntries
      parameters:
        - allowEmptyValue: true
          description: The ID of the schedule to get entries for.
          example: 01FDAG4SAP5TYPT98WGR2N7W91
          in: query
          name: schedule_id
          required: true
          schema:
            description: The ID of the schedule to get entries for.
            example: 01FDAG4SAP5TYPT98WGR2N7W91
            type: string
        - allowEmptyValue: true
          description: The start of the window to get entries for.
          example: '2021-01-01T00:00:00Z'
          in: query
          name: entry_window_start
          schema:
            description: The start of the window to get entries for.
            example: '2021-01-01T00:00:00Z'
            format: date-time
            type: string
        - allowEmptyValue: true
          description: The end of the window to get entries for.
          example: '2021-01-01T00:00:00Z'
          in: query
          name: entry_window_end
          schema:
            description: The end of the window to get entries for.
            example: '2021-01-01T00:00:00Z'
            format: date-time
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                pagination_meta:
                  after: abc123
                  after_url: abc123
                schedule_entries:
                  final:
                    - end_at: '2021-08-17T13:28:57.801578Z'
                      entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
                      layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
                      rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      start_at: '2021-08-17T13:28:57.801578Z'
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                  overrides:
                    - end_at: '2021-08-17T13:28:57.801578Z'
                      entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
                      layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
                      rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      start_at: '2021-08-17T13:28:57.801578Z'
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
                  scheduled:
                    - end_at: '2021-08-17T13:28:57.801578Z'
                      entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
                      layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
                      rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
                      start_at: '2021-08-17T13:28:57.801578Z'
                      user:
                        email: lisa@incident.io
                        id: 01FCNDV6P870EA6S7TK1DSYDG0
                        name: Lisa Karlin Curtis
                        role: owner
                        slack_user_id: U02AYNF2XJM
              schema:
                $ref: '#/components/schemas/SchedulesListScheduleEntriesResultV2'
          description: OK response.
components:
  schemas:
    SchedulesListScheduleEntriesResultV2:
      example:
        pagination_meta:
          after: abc123
          after_url: abc123
        schedule_entries:
          final:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
          overrides:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
          scheduled:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
      properties:
        pagination_meta:
          $ref: '#/components/schemas/AfterPaginationMetaResultV2'
        schedule_entries:
          $ref: '#/components/schemas/ScheduleEntriesListPayloadV2'
      required:
        - schedule_entries
      type: object
    AfterPaginationMetaResultV2:
      example:
        after: abc123
        after_url: abc123
      properties:
        after:
          description: The time, if it exists, of the last entry's end time
          example: abc123
          type: string
        after_url:
          description: The URL to fetch the next page of entries
          example: abc123
          type: string
      required:
        - after
        - after_url
      type: object
    ScheduleEntriesListPayloadV2:
      example:
        final:
          - end_at: '2021-08-17T13:28:57.801578Z'
            entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
            layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
            rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            start_at: '2021-08-17T13:28:57.801578Z'
            user:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
        overrides:
          - end_at: '2021-08-17T13:28:57.801578Z'
            entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
            layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
            rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            start_at: '2021-08-17T13:28:57.801578Z'
            user:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
        scheduled:
          - end_at: '2021-08-17T13:28:57.801578Z'
            entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
            layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
            rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
            start_at: '2021-08-17T13:28:57.801578Z'
            user:
              email: lisa@incident.io
              id: 01FCNDV6P870EA6S7TK1DSYDG0
              name: Lisa Karlin Curtis
              role: owner
              slack_user_id: U02AYNF2XJM
      properties:
        final:
          example:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/ScheduleEntryV2'
          type: array
        overrides:
          example:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/ScheduleEntryV2'
          type: array
        scheduled:
          example:
            - end_at: '2021-08-17T13:28:57.801578Z'
              entry_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              fingerprint: 01G0J1EXE7AXZ2C93K61WBPYEH
              layer_id: 01G0J1EXE7AXZ2C93K61WBPYNH
              rotation_id: 01G0J1EXE7AXZ2C93K61WBPYEH
              start_at: '2021-08-17T13:28:57.801578Z'
              user:
                email: lisa@incident.io
                id: 01FCNDV6P870EA6S7TK1DSYDG0
                name: Lisa Karlin Curtis
                role: owner
                slack_user_id: U02AYNF2XJM
          items:
            $ref: '#/components/schemas/ScheduleEntryV2'
          type: array
      required:
        - scheduled
        - overrides
        - final
      type: object
    ScheduleEntryV2:
      properties:
        end_at:
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        entry_id:
          description: Unique identifier of the schedule entry
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        fingerprint:
          description: A unique identifier for this entry, used to determine a unique shift
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        layer_id:
          description: If present, the layer this entry applies to on the rota
          example: 01G0J1EXE7AXZ2C93K61WBPYNH
          type: string
        rotation_id:
          description: If present, the rotation this entry applies to on the schedule
          example: 01G0J1EXE7AXZ2C93K61WBPYEH
          type: string
        start_at:
          example: '2021-08-17T13:28:57.801578Z'
          format: date-time
          type: string
        user:
          $ref: '#/components/schemas/UserV2'
      required:
        - start_at
        - end_at
      type: object
    UserV2:
      example:
        email: lisa@incident.io
        id: 01FCNDV6P870EA6S7TK1DSYDG0
        name: Lisa Karlin Curtis
        role: owner
        slack_user_id: U02AYNF2XJM
      properties:
        email:
          description: Email address of the user.
          example: lisa@incident.io
          type: string
        id:
          description: Unique identifier of the user
          example: 01FCNDV6P870EA6S7TK1DSYDG0
          type: string
        name:
          description: Name of the user
          example: Lisa Karlin Curtis
          type: string
        role:
          description: >-
            DEPRECATED: Role of the user as of March 9th 2023, this value is no
            longer updated.
          enum:
            - viewer
            - responder
            - administrator
            - owner
            - unset
          example: owner
          type: string
        slack_user_id:
          description: Slack ID of the user
          example: U02AYNF2XJM
          type: string
      required:
        - role
        - id
        - name
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key from your incident.io dashboard (Settings → API keys)

````